Bug 926916 - anaconda can't report traceback to bugzilla
Summary: anaconda can't report traceback to bugzilla
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreport
Version: 19
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Filak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On: 929181
Blocks: F19Alpha, F19AlphaBlocker
TreeView+ depends on / blocked
 
Reported: 2013-03-24 02:56 UTC by Andre Robatino
Modified: 2016-12-01 00:43 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-12 01:13:06 UTC
Type: Bug


Attachments (Terms of Use)

Description Andre Robatino 2013-03-24 02:56:23 UTC
Description of problem:
With the 19 Alpha TC1 DVD (i386 or x86_64), https://fedoraproject.org/wiki/QA:Testcase_Anaconda_save_traceback_to_bugzilla fails. I use the fake exception handling trigger. When the window "An unknown error has occurred." appears, I click on "Report Bug", then "Report a bug to Fedora maintainers", then "Configure Bugzilla", then fill in the info, then "OK". The "How did this problem happen (step-by-step)?" screen has nothing except a Close button, so there appears to be no way to report a bug, and indeed no bug appears in Bugzilla when I hit it.

Version-Release number of selected component (if applicable):
19.12 (from 19 Alpha TC1)

How reproducible:
always

Comment 1 Andre Robatino 2013-03-24 02:58:25 UTC
Proposing as Alpha Blocker based on https://fedoraproject.org/wiki/Fedora_19_Alpha_Release_Criteria#Failure_reporting : "The installer must be able to report failures to Bugzilla, with appropriate information included."

Comment 2 Reartes Guillermo 2013-03-24 15:56:10 UTC
I also found it and i had to manually report those bugs.

Comment 3 Adam Williamson 2013-03-27 16:32:41 UTC
Discussed at 2013-03-27 blocker review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2013-03-27/f19alpha-blocker-review-3.2013-03-27-16.01.log.txt . Accepted as a blocker per criterion cited in comment #1.

Comment 4 Fedora Update System 2013-04-05 08:59:31 UTC
libreport-2.1.3-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libreport-2.1.3-2.fc19

Comment 5 Fedora Update System 2013-04-06 05:17:42 UTC
Package libreport-2.1.3-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreport-2.1.3-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5027/libreport-2.1.3-2.fc19
then log in and leave karma (feedback).

Comment 6 Jens Petersen 2013-04-08 03:19:21 UTC
Any way to test this with non-Live install media?

Comment 7 Adam Williamson 2013-04-09 01:58:10 UTC
Reproduced with TC5, verified fixed with RC1 (viz. https://bugzilla.redhat.com/show_bug.cgi?id=949781 ). Setting VERIFIED.

Comment 8 Jens Petersen 2013-04-11 09:17:12 UTC
Yes, I managed to file a bug with a backtrace from RC2.

Comment 9 satellitgo 2013-04-11 14:18:07 UTC
I filed a bug through RC2 also

Comment 10 Fedora Update System 2013-04-12 01:13:09 UTC
libreport-2.1.3-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.